<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <meta name="generator" content="pandoc" />
  <title>Notes pour la version arduino</title>
  <style type="text/css">code{white-space: pre;}</style>
</head>
<body>
<div id="header">
<h1 class="title">Notes pour la version arduino</h1>
</div>
<h1 id="section">2017/12/29</h1>
<p>Si le relais de la version 1 permet de piloter en 5V/500mA,<br />
vérifier que la sortie 5V de l'arduino dispose de 500mA.<br />
Sinon, utiliser l'alimentation de l'Arduino pour la puissance de la commande du relais.</p>
<p>Les digitalPins devraient suffire pour faire office de relais de sortie de l'Arduino.</p>
<p>Est ce que le serveur web permet de recevoir des consigne ? On peut imagner plusieurs requêtes différentes pour chaque action :</p>
<ul>
<li>une requête &quot;allumage&quot; (allume puis sert la page d'état)</li>
<li>une requête &quot;extinction&quot; (éteint puis sert la page d'état)</li>
<li>une requête &quot;status&quot; (sert la page d'état).</li>
</ul>
<h1 id="section-1">2017/12/31</h1>
<p>Programme WebServer sur Arduino : OK (cf. ./arduino/WebServer.ino)</p>
<h1 id="section-2">2018/01/05</h1>
<p>Pour vérifier l'état de la lampe, une photo-resistance accrochée pas loin de l'ampoule, branchée sur une entrée numérique.</p>
<h1 id="section-3">2018/01/09</h1>
<p>Commande de la carte relais : <a href="http://www.conrad.fr/ce/fr/product/095841/Carte-relais-5-V-4-canaux-SMTRELAY04/SHOP_AREA_1013154" class="uri">http://www.conrad.fr/ce/fr/product/095841/Carte-relais-5-V-4-canaux-SMTRELAY04/SHOP_AREA_1013154</a></p>
<p>La commande est accessible depuis l'intérieur à l'adresse <a href="http://192.168.1.8">192.168.1.8</a><br />
La commande devrait être accessible depuis l'extérieur à l'adresse <a href="http://ubi01.dtdns.net">ubi01.dtdns.net</a>.</p>
<h1 id="section-4">2018/01/19</h1>
<p>Ajout de l'authentification.<br />
Le mot de passe est légèrement chiffré dans le code, mais ça n'est pas réellement sécurisé.</p>
<p>Reste (éventuellement) à faire :</p>
<ul>
<li>finaliser le boîtier ;</li>
<li>ajouter la photo-résistance qui voit la luminosité de l'ampoule ;</li>
<li>...</li>
</ul>
<p>Possibilité d'extensions :</p>
<ul>
<li>ajouter 3 autres commandes pour utilser les 3 autres relais ;</li>
<li>utiliser une authentification plus forte ;</li>
<li>passer en https ;</li>
<li>...</li>
</ul>
<h1 id="conclusion-provisoire">Conclusion provisoire</h1>
<ul>
<li>Une carte Arduino Uno : 20 €</li>
<li>Un shield ethernet : 20 €</li>
<li>Une carte 4 relais : 10 €</li>
<li>Divers matériel électrique (boîtier, dominos, fils et prises, etc) : ~30 € (?)</li>
</ul>
<p>Une carte <a href="https://store.arduino.cc/arduino-mkr1000">MKR Wifi</a>, remplacerait la carte Arduino + le shield ethernet (30 € au lieu de 20 €). Il faudra cependant ajouter une alimentation 5V pour les relais.</p>
<p>Une carte <a href="https://store.arduino.cc/mkr-gsm-1400">MKR GSM</a> (60 €), permettrait de fonctionner sans accès internet.</p>
<p>Une carte <a href="https://store.arduino.cc/homepage/arduino-mkrfox1200">MKR Fox</a> ou <a href="https://store.arduino.cc/mkr-wan-1300">MKR WAN</a> permettrait d'utiliser un réseau spécifique à l'IoT (LoRa ou SigFox). Mais il faudrait ajouter un nœud maître (?)</p>
<h1 id="section-5">2019/06/17</h1>
<p>La commande est accessible depuis l'intérieur à l'adresse <a href="http://192.168.1.7">192.168.1.7</a>.</p>
</body>
</html>
